﻿<?php
/*
Plugin Name: TSM_fontチェンジャー
Plugin URI: http://twosquirrel.mints.ne.jp/
Description: サイトのフォントをTSM_fontに変更するプラグイン。
Author: TSM
Version: 3.0.2
Author URI: http://twosquirrel.mints.ne.jp/
*/

function add_wp_head (){
  $css_uri = home_url('/');
  echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"{$css_uri}wp-content/plugins/TSM_font-changer3/font-changer.css\" />";
}
add_action ('wp_head','add_wp_head',999);

add_action('admin_menu','TSM_font_changer_admin_menu');

function TSM_font_changer_admin_menu(){
add_menu_page(
'TSMフォントチェンジャー',//HTMLのページタイトル
'TSMフォントチェンジャー設定',//管理画面メニューの表示名
'administrator',//この機能を利用できるユーザー
'TSM_font_changer_admin_menu',//urlに入る名前
'TSM_font_changer_edit_setting'//機能を提供する関数
);
}

function TSM_font_changer_edit_setting() {

$css_uri = home_url('/');

echo <<<EOD
<h1>＊TSMフォントチェンジャー管理画面＊</h1>
</br>
EOD;

echo <<<EOD
<div>
<h2>（１）新しくフォントファイルを追加する</h2>
<p>以下のページから、otfファイルと、woffファイルをアップロードしてください。</p>
<a href="{$css_uri}wp-content/plugins/TSM_font-changer3/form.html" target="_blank">こちらのリンク先でアップロード</a>
</div>
EOD;

echo <<<EOD
<h2>（２）OTFフォント選択</h2>
EOD;

$dir = "../wp-content/plugins/TSM_font-changer3/fonts/";
$files = array();
  if ($dh = opendir($dir)) {
    while (($file = readdir($dh)) !== false) {
      $files[] = $file;
    }
  closedir($dh);
  }

echo <<<EOD
<form action="../wp-content/plugins/TSM_font-changer3/select.php" method="post">
EOD;
  $sampleSelectBox = "<select name=\"selectBoxName\">\n";
  for ( $i = 0; $i < count( $files ); $i++ ) {
      $sampleSelectBox .= "\t<option value=\"{$files[$i]}\">{$files[$i]}</option>\n";
  }
  $sampleSelectBox .= "</select>\n";
  echo "{$sampleSelectBox}";
echo <<<EOD
<p><input type="submit" value="決定" /></p></form>
EOD;

echo <<<EOD
<h2>（３）WOFFフォント選択</h2>
EOD;

echo <<<EOD
<form action="../wp-content/plugins/TSM_font-changer3/select2.php" method="post">
EOD;
  $sampleSelectBox = "<select name=\"selectBoxName2\">\n";
  for ( $i = 0; $i < count( $files ); $i++ ) {
      $sampleSelectBox .= "\t<option value=\"{$files[$i]}\">{$files[$i]}</option>\n";
  }
  $sampleSelectBox .= "</select>\n";
  echo "{$sampleSelectBox}";
echo <<<EOD
<p><input type="submit" value="決定" /></p></form>
EOD;

echo <<<EOD
<h2>（４）手順（１）（２）（３）終了後、サイトを見て、フォントが反映されているかどうか、確認してください。</h2>
<h3>(必ず、ブラウザの更新ボタンを押してください。Chrome使用の場合は、一度、ブラウザをすべて閉じてから、再起動してください。)</h3>
EOD;


}
